Skip to content

Stored only in your browser. Get one under Tokens.

Cancel a step that is in NEW, QUEUED, DOWNLOADING or INPROGRESS state.​

PUT
/trails/{id}/steps/{rev}/cancel

Cancel a step that is in NEW, QUEUED, DOWNLOADING or INPROGRESS state.
Only owner can cancel steps and only those not finished yet. While QUEUED or
DOWNLOADING the device aborts the update and reports CANCEL itself; while INPROGRESS the
cancel only stops the device from retrying the step (the deprecated wontgo endpoint does the same).
A device that keeps reporting progress has not honored the request.

Authorizations​

ApiKeyAuth
Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

ID|NICK|PRN

Type
string
Required
rev*

REV_ID

Type
string
Required

Responses​

OK

application/json
JSON
{
  
"data": {
  
},
  
"downloads": {
  
  
"objects": [
  
  
  
{
  
  
  
  
"current_time": 0,
  
  
  
  
"object_id": "string",
  
  
  
  
"object_name": "string",
  
  
  
  
"start_time": 0,
  
  
  
  
"total_downloaded": 0,
  
  
  
  
"total_size": 0
  
  
  
}
  
  
],
  
  
"total": {
  
  
  
"current_time": 0,
  
  
  
"object_id": "string",
  
  
  
"object_name": "string",
  
  
  
"start_time": 0,
  
  
  
"total_downloaded": 0,
  
  
  
"total_size": 0
  
  
}
  
},
  
"logs": "string",
  
"progress": 0,
  
"retries": 0,
  
"status": "string",
  
"status-msg": "string"
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI